# Interface SvgRendererOptions

GoJS® Diagramming Components
version 3.0.7
by Northwoods Software®

#### Hierarchy

- DiagramRendererOptions
  - SvgRendererOptions

Used for the options argument to Diagram.makeSvg.

#####
Index

### Properties

elementFinished?

#####
Inherited Index

### Properties

DiagramRendererOptions.background
DiagramRendererOptions.callback
DiagramRendererOptions.callbackTimeout
DiagramRendererOptions.document
DiagramRendererOptions.maxSize
DiagramRendererOptions.padding
DiagramRendererOptions.parts
DiagramRendererOptions.position
DiagramRendererOptions.scale
DiagramRendererOptions.showGrid
DiagramRendererOptions.showTemporary
DiagramRendererOptions.size

## Properties

### `Optional` elementFinished
: ((graphobj: GraphObject, svgelt: SVGElement) => void)

#### Type declaration

- - (graphobj: GraphObject, svgelt: SVGElement): void

  - A function with two arguments, GraphObject and SVGElement. As the SVG elements are created representing each graph object, this function is called on them, allowing you to modify the SVG as it is being built, to assign stylesheets, IDs, etc. Example:

        elementFinished: (graphObject, SVGElement) => {
          // set something on every SVG element that represents a GoJS TextBlock
          if (graphObject instanceof go.TextBlock) SVGElement.setAttribute(...);
        }

    #### Parameters

    - ##### graphobj: GraphObject

    - ##### svgelt: SVGElement

    #### Returns void

Copyright © 1998-2024 by Northwoods Software Corporation.